## python-multimethod 2.0

=== Makefile ===
check:
	python -m pytest -s --cov

bench:
	python -m pytest --codspeed

lint:
	ruff check .
	ruff format --check .
	mypy -p multimethod
	mypy tests/static.py | grep -qv Any

html:
	PYTHONPATH=$(PWD) python -m mkdocs build

=== debian/changelog ===
python-multimethod (2.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-setuptools. Closes: #1116864.
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 15:40:00 +0200

python-multimethod (2.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Sat, 28 Jun 2025 14:56:44 +0200

python-multimethod (2.0-1) unstable; urgency=low

  * Initial packaging (Closes: #1108190).

 -- Roland Mas <lolando@debian.org>  Sun, 22 Jun 2025 20:13:30 +0200

=== debian/control ===
Source: python-multimethod
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/coady/multimethod
Vcs-Git: https://salsa.debian.org/python-team/packages/python-multimethod.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-multimethod

Package: python3-multimethod
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Multiple argument dispatching for Python
 Multimethod provides a decorator for adding multiple argument
 dispatching to functions. The decorator creates a multimethod object
 as needed, and registers the function with its annotations.

=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto,uversionmangle=s/rc/~rc/" \
https://github.com/coady/multimethod refs/tags/v?(\d\S+)
